function love.run()
	
	if love.load then love.load(arg) end

	local totalTime = 0.0
	local deltaTime = 1 / 200
	
	local currentTime = love.timer.getMicroTime()
	local accumulator = 0.0

    -- Main loop time.
    while true do
    	
    	local newTime = love.timer.getMicroTime()
    	local frameTime = newTime - currentTime
    	
    	if frameTime > 0.25 then
    		frameTime = 0.25
    	elseif frameTime < 0.0 then -- Handle the case where getMicroTime() rolls over back to 0
    		frameTime = deltaTime
   		end
    	
    	currentTime = newTime
    	
    	accumulator = accumulator + frameTime
    	
    	while( accumulator >= deltaTime ) do
    		
    		if love.update then love.update(1.0) end

    		totalTime = totalTime + deltaTime
    		accumulator = accumulator - deltaTime
    	
    	end
    	
    	if love.update then love.update(accumulator / deltaTime) end
    	accumulator = 0.0
    	
        if love.graphics then
            love.graphics.clear()
            
            if love.draw then love.draw() end
            love.graphics.present()
        end

        -- Process events.
        if love.event then
            for e,a,b,c in love.event.poll() do
                if e == "q" then
                    if not love.quit or not love.quit() then
                        if love.audio then
                            love.audio.stop()
                        end
                        return
                    end
                end
                love.handlers[e](a,b,c)
            end
        end

        if love.timer then love.timer.sleep(1) end
        --if love.graphics then love.graphics.present() end

    end

end

player = {}

function love.load()

	player.image = love.graphics.newImage( 'content/textures/player.png' )
	player.x = 0
	player.y = 0
	player.speed = 1
	
	love.graphics.setBackgroundColor( 245, 245, 245 )
	
end

function love.update(dt)

	if love.keyboard.isDown( "up" ) then
		player.y = player.y - player.speed * dt
	end
	
	if love.keyboard.isDown( "down" ) then
		player.y = player.y + player.speed * dt
	end
	
	if love.keyboard.isDown( "left" ) then
		player.x = player.x - player.speed * dt
	end
	
	if love.keyboard.isDown( "right" ) then
		player.x = player.x + player.speed * dt
	end
	
end

function love.draw()
	love.graphics.draw( player.image, player.x, player.y )
end